aboutsummaryrefslogtreecommitdiffstats
path: root/main/ntfs-3g/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-29 08:45:29 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-29 08:47:22 +0000
commit8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc (patch)
treee1bdd0bbb491926306c1e43e72dabbbe235f4b62 /main/ntfs-3g/APKBUILD
parent832a032dd3794c5cc3e67f4ee580e171996e8e29 (diff)
downloadaports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.gz
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.bz2
aports-8f6f2e3166478b14b208ecfb94ddf01d69dd7bdc.tar.xz
main/[various]: update config.sub (and remove charset.alias)
for musl build. the changes are automatically done based on previous build log errors, so this does not guarantee successful build, but is a required.
Diffstat (limited to 'main/ntfs-3g/APKBUILD')
-rw-r--r--main/ntfs-3g/APKBUILD5
1 files changed, 5 insertions, 0 deletions
diff --git a/main/ntfs-3g/APKBUILD b/main/ntfs-3g/APKBUILD
index 8f5024a0dd..d657e14c6a 100644
--- a/main/ntfs-3g/APKBUILD
+++ b/main/ntfs-3g/APKBUILD
@@ -13,6 +13,11 @@ subpackages="$pkgname-doc $pkgname-dev"
source="http://tuxera.com/opensource/ntfs-3g_ntfsprogs-$pkgver.tgz"
_builddir="$srcdir"/ntfs-3g_ntfsprogs-$pkgver
+
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+}
build() {
cd "$_builddir"
./configure \